Reset Preview Database Branch Route
curl --request POST \
--url https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"source_env": "<string>",
"preview_slug": "<string>",
"resource_status": "<string>",
"hydration_mode": "<string>",
"reset_eligible": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managed_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_name": "<string>",
"role_name": "<string>",
"base_schema_name": "<string>",
"base_role_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"reset_blocked_reason": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}previews
Reset Preview Database Branch Route
Reset is not yet available for Neon preview database branches.
POST
/
v1
/
apps
/
{app_id}
/
previews
/
{slug}
/
database-branches
/
{name}
/
reset
Reset Preview Database Branch Route
curl --request POST \
--url https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getfloo.com/v1/apps/{app_id}/previews/{slug}/database-branches/{name}/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"source_env": "<string>",
"preview_slug": "<string>",
"resource_status": "<string>",
"hydration_mode": "<string>",
"reset_eligible": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"managed_service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schema_name": "<string>",
"role_name": "<string>",
"base_schema_name": "<string>",
"base_role_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"reset_blocked_reason": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
A floo_ API key.
Headers
Organization to act in; defaults to the one joined most recently.
Response
Successful Response
A managed Postgres branch backing one preview environment.